net.dontdrinkandroot.visualization.item

## Class AbstractColoredItem

- java.lang.Object
- - net.dontdrinkandroot.visualization.item.AbstractVisualItem
  - - net.dontdrinkandroot.visualization.item.AbstractColoredItem

All Implemented Interfaces:
  ColoredItem, VisualItem

Direct Known Subclasses:
  AligningFontItem, AligningToCenterFontItem, FontItem, GlyphedFontItem, GlyphedOutlineFontItem, GlyphedOutlineFontItem2, LabeledCircleItem, OvalItem, RectItem

    public abstract class AbstractColoredItem
    extends AbstractVisualItem
    implements ColoredItem

### Field Summary

Fields
`protected Color` `bbColor`
`protected Color` `bgColor`
`protected Color` `fgColor`

### Fields inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`anchor, bounds`

### Constructor Summary

Constructors
Constructor and Description
`AbstractColoredItem()`

### Method Summary

Methods
`Color` `getBbColor()`
`Color` `getBgColor()`
`Color` `getFgColor()`
`void` `setBbColor(Color bbColor)`
`void` `setBgColor(Color bgColor)`
`void` `setFgColor(Color fgColor)`

### Methods inherited from class net.dontdrinkandroot.visualization.item.AbstractVisualItem

`draw, getBounds, getPosition, setPosition, setPosition, updateBounds`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fgColor

    protected Color fgColor

#### bgColor

    protected Color bgColor

#### bbColor

    protected Color bbColor

### Constructor Detail

#### AbstractColoredItem

    public AbstractColoredItem()

### Method Detail

#### getFgColor

    public Color getFgColor()

Specified by:
  `getFgColor` in interface `ColoredItem`

#### getBbColor

    public Color getBbColor()

Specified by:
  `getBbColor` in interface `ColoredItem`

#### getBgColor

    public Color getBgColor()

Specified by:
  `getBgColor` in interface `ColoredItem`

#### setBbColor

    public void setBbColor(Color bbColor)

Specified by:
  `setBbColor` in interface `ColoredItem`

#### setFgColor

    public void setFgColor(Color fgColor)

Specified by:
  `setFgColor` in interface `ColoredItem`

#### setBgColor

    public void setBgColor(Color bgColor)

Specified by:
  `setBgColor` in interface `ColoredItem`